org.richfaces.ui.select.inplaceSelect

## Enum UIInplaceSelect.Properties

- java.lang.Object
- - java.lang.Enum<UIInplaceSelect.Properties>
  - - org.richfaces.ui.select.inplaceSelect.UIInplaceSelect.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIInplaceSelect.Properties>
  Enclosing class:
    UIInplaceSelect

      protected static enum UIInplaceSelect.Properties
      extends Enum<UIInplaceSelect.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `activeClass`
    `changedClass`
    `defaultLabel`
    `disabled`
    `disabledClass`
    `editEvent`
    `inputWidth`
    `itemClass`
    `listClass`
    `listHeight`
    `listWidth`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `oninputclick`
    `oninputdblclick`
    `oninputkeydown`
    `oninputkeypress`
    `oninputkeyup`
    `oninputmousedown`
    `oninputmousemove`
    `oninputmouseout`
    `oninputmouseover`
    `oninputmouseup`
    `oninputselect`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onlistclick`
    `onlistdblclick`
    `onlisthide`
    `onlistkeydown`
    `onlistkeypress`
    `onlistkeyup`
    `onlistmousedown`
    `onlistmousemove`
    `onlistmouseout`
    `onlistmouseover`
    `onlistmouseup`
    `onlistshow`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselectitem`
    `openOnEdit`
    `saveOnBlur`
    `saveOnSelect`
    `selectItemClass`
    `showControls`
    `state`
    `style`
    `styleClass`
    `tabindex`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIInplaceSelect.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIInplaceSelect.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### activeClass

          public static final UIInplaceSelect.Properties activeClass

    - #### changedClass

          public static final UIInplaceSelect.Properties changedClass

    - #### defaultLabel

          public static final UIInplaceSelect.Properties defaultLabel

    - #### disabled

          public static final UIInplaceSelect.Properties disabled

    - #### disabledClass

          public static final UIInplaceSelect.Properties disabledClass

    - #### editEvent

          public static final UIInplaceSelect.Properties editEvent

    - #### inputWidth

          public static final UIInplaceSelect.Properties inputWidth

    - #### itemClass

          public static final UIInplaceSelect.Properties itemClass

    - #### listClass

          public static final UIInplaceSelect.Properties listClass

    - #### listHeight

          public static final UIInplaceSelect.Properties listHeight

    - #### listWidth

          public static final UIInplaceSelect.Properties listWidth

    - #### onblur

          public static final UIInplaceSelect.Properties onblur

    - #### onchange

          public static final UIInplaceSelect.Properties onchange

    - #### onclick

          public static final UIInplaceSelect.Properties onclick

    - #### ondblclick

          public static final UIInplaceSelect.Properties ondblclick

    - #### onfocus

          public static final UIInplaceSelect.Properties onfocus

    - #### oninputclick

          public static final UIInplaceSelect.Properties oninputclick

    - #### oninputdblclick

          public static final UIInplaceSelect.Properties oninputdblclick

    - #### oninputkeydown

          public static final UIInplaceSelect.Properties oninputkeydown

    - #### oninputkeypress

          public static final UIInplaceSelect.Properties oninputkeypress

    - #### oninputkeyup

          public static final UIInplaceSelect.Properties oninputkeyup

    - #### oninputmousedown

          public static final UIInplaceSelect.Properties oninputmousedown

    - #### oninputmousemove

          public static final UIInplaceSelect.Properties oninputmousemove

    - #### oninputmouseout

          public static final UIInplaceSelect.Properties oninputmouseout

    - #### oninputmouseover

          public static final UIInplaceSelect.Properties oninputmouseover

    - #### oninputmouseup

          public static final UIInplaceSelect.Properties oninputmouseup

    - #### oninputselect

          public static final UIInplaceSelect.Properties oninputselect

    - #### onkeydown

          public static final UIInplaceSelect.Properties onkeydown

    - #### onkeypress

          public static final UIInplaceSelect.Properties onkeypress

    - #### onkeyup

          public static final UIInplaceSelect.Properties onkeyup

    - #### onlistclick

          public static final UIInplaceSelect.Properties onlistclick

    - #### onlistdblclick

          public static final UIInplaceSelect.Properties onlistdblclick

    - #### onlisthide

          public static final UIInplaceSelect.Properties onlisthide

    - #### onlistkeydown

          public static final UIInplaceSelect.Properties onlistkeydown

    - #### onlistkeypress

          public static final UIInplaceSelect.Properties onlistkeypress

    - #### onlistkeyup

          public static final UIInplaceSelect.Properties onlistkeyup

    - #### onlistmousedown

          public static final UIInplaceSelect.Properties onlistmousedown

    - #### onlistmousemove

          public static final UIInplaceSelect.Properties onlistmousemove

    - #### onlistmouseout

          public static final UIInplaceSelect.Properties onlistmouseout

    - #### onlistmouseover

          public static final UIInplaceSelect.Properties onlistmouseover

    - #### onlistmouseup

          public static final UIInplaceSelect.Properties onlistmouseup

    - #### onlistshow

          public static final UIInplaceSelect.Properties onlistshow

    - #### onmousedown

          public static final UIInplaceSelect.Properties onmousedown

    - #### onmousemove

          public static final UIInplaceSelect.Properties onmousemove

    - #### onmouseout

          public static final UIInplaceSelect.Properties onmouseout

    - #### onmouseover

          public static final UIInplaceSelect.Properties onmouseover

    - #### onmouseup

          public static final UIInplaceSelect.Properties onmouseup

    - #### onselectitem

          public static final UIInplaceSelect.Properties onselectitem

    - #### openOnEdit

          public static final UIInplaceSelect.Properties openOnEdit

    - #### saveOnBlur

          public static final UIInplaceSelect.Properties saveOnBlur

    - #### saveOnSelect

          public static final UIInplaceSelect.Properties saveOnSelect

    - #### selectItemClass

          public static final UIInplaceSelect.Properties selectItemClass

    - #### showControls

          public static final UIInplaceSelect.Properties showControls

    - #### state

          public static final UIInplaceSelect.Properties state

    - #### style

          public static final UIInplaceSelect.Properties style

    - #### styleClass

          public static final UIInplaceSelect.Properties styleClass

    - #### tabindex

          public static final UIInplaceSelect.Properties tabindex

    - #### title

          public static final UIInplaceSelect.Properties title

  - ### Method Detail

    - #### values

          public static UIInplaceSelect.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIInplaceSelect.Properties c : UIInplaceSelect.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIInplaceSelect.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.